|  | Home | Documentation | saml2__AttributeStatementType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Classes | Public Attributes | List of all members
saml2__AttributeStatementType Struct Reference

"urn:oasis:names:tc:SAML:2.0:assertion":AttributeStatementType is a complexType with complexContent extension of type "urn:oasis:names:tc:SAML:2.0:assertion":StatementAbstractType. More...

`#include <saml2.h>`

Collaboration diagram for saml2__AttributeStatementType:
[legend]

## Classes
struct | __saml2__union_AttributeStatementType

## Public Attributes
int | __size_AttributeStatementType
| INHERITED FROM saml2__StatementAbstractType: More...
struct saml2__AttributeStatementType::__saml2__union_AttributeStatementType * | __union_AttributeStatementType

## Detailed Description

"urn:oasis:names:tc:SAML:2.0:assertion":AttributeStatementType is a complexType with complexContent extension of type "urn:oasis:names:tc:SAML:2.0:assertion":StatementAbstractType.

Note
  struct saml2__AttributeStatementType operations:
  - saml2__AttributeStatementType* soap_new_saml2__AttributeStatementType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml2__AttributeStatementType(struct soap*, saml2__AttributeStatementType*) default initialize members
  - int soap_read_saml2__AttributeStatementType(struct soap*, saml2__AttributeStatementType*) deserialize from a source
  - int soap_write_saml2__AttributeStatementType(struct soap*, saml2__AttributeStatementType*) serialize to a sink
  - saml2__AttributeStatementType* soap_dup_saml2__AttributeStatementType(struct soap*, saml2__AttributeStatementType* dst, saml2__AttributeStatementType <em>src) returns deep copy of saml2__AttributeStatementType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml2__AttributeStatementType(saml2__AttributeStatementType) deep deletes saml2__AttributeStatementType data members, use only on dst after soap_dup_saml2__AttributeStatementType(NULL, saml2__AttributeStatementType *dst, saml2__AttributeStatementType *src) (use soapcpp2 -Ed)

## Member Data Documentation

int saml2__AttributeStatementType::__size_AttributeStatementType

INHERITED FROM saml2__StatementAbstractType:

struct saml2__AttributeStatementType::__saml2__union_AttributeStatementType * saml2__AttributeStatementType::__union_AttributeStatementType

The documentation for this struct was generated from the following file:

- saml2.h